# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDateInternalWeekSelector Class Reference

Week selection widget. More...

`#include <kdatetbl.h>`

Inheritance diagram for KDateInternalWeekSelector:

[legend]
Collaboration diagram for KDateInternalWeekSelector:

[legend]
List of all members.

## Public Slots

void | weekEnteredSlot ()
void | setMaxWeek (int max)

## Signals

void | closeMe (int)

## Public Member Functions

| KDateInternalWeekSelector (QWidget *parent=0, const char *name=0)
int | getWeek ()
void | setWeek (int week)

## Protected Attributes

QIntValidator * | val
int | result

## Detailed Description

Week selection widget.

Definition at line 40 of file kdatetbl.h.

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003